;+
; NAME: eis_status_sts2_conversions.pro
;
; PURPOSE: 
;      
; CATEGORY:
;
; CALLING SEQUENCE: 
;
; INPUTS: 
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: 
;
; CALLS:
;
; COMMON BLOCKS: None
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	03/June/2006 v1.0 mcrw wrote
;       15/Nov/2006  v1.1 mcrw minor corrections
;       03/Dec/2006  v1.2 mcrw minor corrections
;
;-------------------------------------------------------------------------------------------------

pro eis_status_mdp_data_dumper::check_mdp_parameters, lu
  self->trace, 'eis_status_mdp_data_dumper::check_mdp_parameters'
  
  print, '	mdp_parameters'

  title_str = 'EIS MDP parameters              min            max                avg'
  
  self->retrieve, 'mdp_parameters', 'CMD_EIS_SRQ_CNT',  mn0,  mx0
  self->retrieve, 'mdp_parameters', 'CMD_EIS_DHU_CNT',  mn1,  mx1
  self->retrieve, 'mdp_parameters', 'STS_EIS_RP1_CNT',  mn2,  mx2
  self->retrieve, 'mdp_parameters', 'STS_EIS_RP2_CNT',  mn3,  mx3
  self->retrieve, 'mdp_parameters', 'STS_EIS_RP3_CNT',  mn4,  mx4
  self->retrieve, 'mdp_parameters', 'STS_EIS_RP4_CNT',  mn5,  mx5
  self->retrieve, 'mdp_parameters', 'STS_EIS_ERR',      mn6,  mx6
  self->retrieve, 'mdp_parameters', 'STS_EIS_RCV',      mn7,  mx7
  self->retrieve, 'mdp_parameters', 'STS_EIS_ERR_TIM',  mn8,  mx8
  self->retrieve, 'mdp_parameters', 'IMG_EIS_BUSY',     mn9,  mx9
  self->retrieve, 'mdp_parameters', 'IMG_EIS_QUE_SIZ',  mn10, mx10
  self->retrieve, 'mdp_parameters', 'IMG_EIS_RCV_CNT',  mn11, mx11
  self->retrieve, 'mdp_parameters', 'IMG_EIS_RCV_SIZ',  mn12, mx12
  self->retrieve, 'mdp_parameters', 'EIS_FLR_FLG',      mn13, mx13
  self->retrieve, 'mdp_parameters', 'EIS_FLR_LOC_X',    mn14, mx14
  self->retrieve, 'mdp_parameters', 'EIS_FLR_LOC_Y',    mn15, mx15

  p0_str  = 'CMD_EIS_SRQ_CNT       ' + eis_num2str(mn0,  type='count') + eis_num2str(mx0,  type='count')
  p1_str  = 'CMD_EIS_DHU_CNT       ' + eis_num2str(mn1,  type='count') + eis_num2str(mx1,  type='count')
  p2_str  = 'CMD_EIS_RP1_CNT       ' + eis_num2str(mn2,  type='count') + eis_num2str(mx2,  type='count')
  p3_str  = 'CMD_EIS_RP2_CNT       ' + eis_num2str(mn3,  type='count') + eis_num2str(mx3,  type='count')
  p4_str  = 'CMD_EIS_RP3_CNT       ' + eis_num2str(mn4,  type='count') + eis_num2str(mx4,  type='count')
  p5_str  = 'CMD_EIS_RP4_CNT       ' + eis_num2str(mn5,  type='count') + eis_num2str(mx5,  type='count')
  p6_str  = 'STS_EIS_ERR           ' + eis_num2str(mn6,  type='count') + eis_num2str(mx6,  type='count')
  p7_str  = 'STS_EIS_RCV           ' + eis_num2str(mn7,  type='count') + eis_num2str(mx7,  type='count')
  p8_str  = 'STS_EIS_ERR_TIM       ' + eis_num2str(mn8,  type='count') + eis_num2str(mx8,  type='count')
  p9_str  = 'IMG_EIS_BUSY          ' + eis_num2str(mn9,  type='count') + eis_num2str(mx9,  type='count')
  p10_str = 'IMG_EIS_QUE_SIZ       ' + eis_num2str(mn10, type='count') + eis_num2str(mx10, type='count')
  p11_str = 'IMG_EIS_RCV_CNT       ' + eis_num2str(mn11, type='count') + eis_num2str(mx11, type='count')
  p12_str = 'IMG_EIS_RCV_SIZ       ' + eis_num2str(mn12, type='count') + eis_num2str(mx12, type='count')
  p13_str = 'EIS_FLR_FLG           ' + eis_num2str(mn13, type='count') + eis_num2str(mx13, type='count')
  p14_str = 'EIS_FLR_LOC_X         ' + eis_num2str(mn14, type='count') + eis_num2str(mx14, type='count')
  p15_str = 'EIS_FLR_LOC_Y         ' + eis_num2str(mn15, type='count') + eis_num2str(mx15, type='count')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu, p5_str
  printf, lu, p6_str
  printf, lu, p7_str
  printf, lu, p8_str
  printf, lu, p9_str
  printf, lu, p10_str
  printf, lu, p11_str
  printf, lu, p12_str
  printf, lu, p13_str
  printf, lu, p14_str
  printf, lu, p15_str
  printf, lu

end

pro eis_status_mdp_data_dumper::check_mdp_spacecraft, lu
  self->trace, 'eis_status_mdp_data_dumper::check_mdp_spacecraft'
  
  print, '	mdp_spacecraft'
  
    self->retrieve, 'mdp_spacecraft', 'TIME',        minp1,   maxp1
    self->retrieve, 'mdp_spacecraft', 'SEQ_COUNTER', minp2,   maxp2

        
end

pro eis_status_mdp_data_dumper::check, lu
  self->trace, 'eis_status_mdp_data_dumper::check'
  
  self->check_mdp_parameters, lu
  self->check_mdp_spacecraft, lu

end
