function eis_status_sts1_data_dumper::INIT

  print, 'eis_status_sts1_data_dumper::INIT'

  h = hash('min', 0., 'max', 0., 'avg', 0.)

  v = hash('ICU_P2V5', h, 'ICU_P5V', h, 'ICU_P15V', h, 'ICU_N15V', h, 'MBUS_28V', h)
  i = hash('ICU_P2I5', h, 'ICU_P5I', h, 'ICU_P15I', h, 'ICU_N15I', h, 'MBUS_28I', h)
  t = hash('ICU_PROC_TEMP', h, 'CCDA_TEMP', h, 'CCDB_TEMP', h)

  m = hash('ICU_SW_ID', h, 'PORT_READ', h, 'LAST_BC1_R', h, 'LAST_BC2_R', h, 'LAST_BC3_R', h, 'LAST_CMD_L_R', h, 'HC_TARGET_T', h, 'HC_DUTY_CYCLE', h)

  s = hash('EIS_MODE', h, 'CCD_BUF_TEST_STAT', h, 'ET_STAT', h, 'CMD_BUF_STAT', h, 'XRT_FF_STAT', h, 'EIS_FF_STAT', h, 'HM_MON_STAT', h, 'AEC_STAT', h, 'MEM_DMP_STAT', h, 'SEQ_STAT', h, 'MODE_EN_STAT', h, 'XRT_FF_REC', h, 'XRT_X_COR', h, 'XRT_Y_COR', h, 'MD_BUF_STAT', h, 'ICU_VF', h, 'PSU_VF', h, 'CAM_VF', h, 'MHC_VF', h, 'ASRC_STAT', h, 'MHC_LOAD_STAT', h, 'HC_STAT', h, 'EEPROM_STAT1', h, 'EEPROM_STAT2', h, 'EEPROM_COPY_REQ_STAT', h, 'EEPROM_COPY_PROG_STAT', h, 'CAM_MHC_PWR_ON', h)

  p = hash('PSU_MARK', h, 'PSU_CCDB_HTR_EN', h, 'PSU_CCDA_HTR_EN', h, 'PSU_CCDB_BHTR_STAT', h, 'PSU_CCDA_BHTR_STAT', h, 'PSU_MHC_HTR_P28V', h, 'PSU_MHC_MECH_P28V', h, 'PSU_MHC_ELEC_P28V', h, 'PSU_MHC_MHTR', h, 'PSU_CAM_MHTR', h, 'PSU_CAM_P39V', h, 'PSU_CAM_N8V', h, 'PSU_CAM_P7V', h, 'PSU_CAM_P8V', h, 'PSU_CAM_P13V', h)

  hm = hash('HM_ALERT_OOL', h, 'HM_PSU_TO', h, 'HM_CAM_TO', h, 'HM_MHC_TO', h, 'HM_PSU_OOL', h, 'HM_CAM_OOL', h, 'HM_MHC_OOL', h, 'HM_PARM_ID', h)

  ii = hash('CMD_IF_STAT1', h, 'MD_IF_STAT1', h, 'STAT_IF_STAT1', h, 'WD_IF_STAT1', h, 'CMD_IF_STAT2', h, 'MD_IF_STAT2', h, 'STAT_IF_STAT2', h, 'WD_IF_STAT2', h, 'MHC_422_STAT1', h, 'ROE_IF_STAT1', h, 'ROE_IF_STAT2', h, 'HSL_IF_STAT1', h, 'HSL_IF_STAT2', h, 'MHC_422_STAT2', h)

  e = hash('TC_FAILED_EC', h, 'CMD_IF_ERROR', h, 'PSU_STAT_ERROR', h, 'TC_FAILED_CMD_ID', h, 'ICU_ERROR_F', h, 'XRT_ERROR', h, 'HC_DUTY_ERROR', h, 'HC_PSU_TO', h, 'MDP_LL_ERROR', h, 'MHC_CMD_H', h, 'FT_ERROR', h, 'AEC_WIN_ERROR', h, 'AEC_PARMS_ERROR', h, 'AEC_TIME_ERROR', h, 'CAM_IF_ERROR', h, 'SEQ_ABORT_CODE', h, 'CMD_ID_FAILED_INT', h, 'MHC_IF_ERROR', h, 'EEPROM_ERROR', h, 'ET_ERROR', h, 'TC_FAILED_PKTC', h)

  c = hash('MDP_TIME', h, 'STATUS_PC', h, 'TC_REC_PKTC', h, 'RASTER_RUN_REM', h, 'SEQ_RUN_REM', h, 'EXP_NUM', h)

  sp = hash('SEQ_I', h, 'SEQ_P', h, 'LL_I', h)

  is = hash('TIME', h, 'SEQ_COUNTER', h)
  
  self.parameters = hash('icu_currents', i,                   $
                         'icu_voltages', v,                   $
                         'icu_temperatures', t,               $
                         'icu_misc_parameters', m,            $
                         'icu_status_parameters', s,          $
                         'icu_psu_status_parameters', p,      $
                         'icu_hm_status_parameters', hm,      $
                         'icu_interface_parameters', ii,      $
                         'icu_error_parameters', e,           $
                         'icu_counter_parameters', c,         $
                         'icu_science_status_parameters', sp, $
                         'icu_spacecraft', is)

  self->set_trace, 1
  
  return, 1

end


