;+
; NAME: eis_status_sts3_conversions.pro
;
; PURPOSE: 
;      
; CATEGORY:
;
; CALLING SEQUENCE: 
;
; INPUTS: 
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: 
;
; CALLS:
;
; COMMON BLOCKS: None
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	03/June/2006	mcrw wrote
;       21/Sept/2006    mcrw v2.0
;
;-------------------------------------------------------------------------------------------------


pro eis_status_sts3_data_dumper::check_mhc_currents, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_currents'
  
  print, '        mhc_currents'

  title_str = 'MHC currents (amps)             min            max                avg'

  self->retrieve, 'mhc_currents', 'MHC_P5V_DI',  minp0, maxp0, avg0
  self->retrieve, 'mhc_currents', 'MHC_P15V_AI', minp1, maxp1, avg1
  self->retrieve, 'mhc_currents', 'MHC_N15V_AI', minp2, maxp2, avg2
  self->retrieve, 'mhc_currents', 'MHC_RDC_I',   minp3, maxp3, avg3

  p0_str = '+5v digital           ' + eis_num2str(minp0, type='amps') + eis_num2str(maxp0, type='amps') + eis_num2Str(avg0, type='amps')
  p1_str = '+15v analog           ' + eis_num2str(minp1, type='amps') + eis_num2str(maxp1, type='amps') + eis_num2Str(avg1, type='amps')
  p2_str = '-15v analog           ' + eis_num2str(minp2, type='amps') + eis_num2str(maxp2, type='amps') + eis_num2Str(avg2, type='amps')
  p3_str = 'RDC                   ' + eis_num2str(minp3, type='amps') + eis_num2str(maxp3, type='amps') + eis_num2Str(avg3, type='amps')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu
  
end

pro eis_status_sts3_data_dumper::check_mhc_voltages, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_voltages'
  
  print, '        mhc_voltages'

  title_str = 'MHC voltages (volts)            min            max                avg'

  self->retrieve, 'mhc_voltages', 'MHC_P5VD',      minp0, maxp0, avg0
  self->retrieve, 'mhc_voltages', 'MHC_P15V_A',    minp1, maxp1, avg1
  self->retrieve, 'mhc_voltages', 'MHC_N15V_A',    minp2, maxp2, avg2
  self->retrieve, 'mhc_voltages', 'MHC_P15V_M',    minp3, maxp3, avg3
  self->retrieve, 'mhc_voltages', 'MHC_P120V_PZT', minp4, maxp4, avg4
  self->retrieve, 'mhc_voltages', 'MHC_PZT_DRIVE', minp5, maxp5, avg5

  p0_str = '+5v digital           ' + eis_num2str(minp0, type='volts') + eis_num2str(maxp0, type='volts') + eis_num2Str(avg0, type='volts')
  p1_str = '+15v analog           ' + eis_num2str(minp1, type='volts') + eis_num2str(maxp1, type='volts') + eis_num2Str(avg1, type='volts')
  p2_str = '-15v analog           ' + eis_num2str(minp2, type='volts') + eis_num2str(maxp2, type='volts') + eis_num2Str(avg2, type='volts')
  p3_str = '+15v mech             ' + eis_num2str(minp3, type='volts') + eis_num2str(maxp3, type='volts') + eis_num2Str(avg3, type='volts')
  p4_str = '+120v PZT             ' + eis_num2str(minp4, type='volts') + eis_num2str(maxp4, type='volts') + eis_num2Str(avg4, type='volts')
  p5_str = 'PZT                   ' + eis_num2str(minp5, type='volts') + eis_num2str(maxp5, type='volts') + eis_num2Str(avg5, type='volts')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu, p5_str
  printf, lu
  
end

pro eis_status_sts3_data_dumper::check_mhc_gp0_temperatures, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_gp0_temperatures'
  
  print, '        mhc_gp0_temperatures'

  title_str = 'Gp 0 temperatures (C)           min            max                avg'

  self->retrieve, 'mhc_gp0_temperatures', 'MHC_DB_T0',        minp0, maxp0, avg0
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_BOX_T1',       minp1, maxp1, avg1
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_PB_T2',        minp2, maxp2, avg2
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_PB_T3',        minp3, maxp3, avg3
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_SLA_T4',       minp4, maxp4, avg4
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_SLA_T5',       minp5, maxp5, avg5
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_HARNESS_T6',   minp6, maxp6, avg6
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_MIR_BASE_T7',  minp7, maxp7, avg7
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_MIR_PZT_T8',   minp8, maxp8, avg8
  self->retrieve, 'mhc_gp0_temperatures', 'MHC_MIR_MOTOR_T9', minp9, maxp9, avg9

  p0_str  = 'Digital box  (T0)     ' + eis_num2str(minp0,  type='degC') + eis_num2str(maxp0,  type='degC') + eis_num2Str(avg0,  type='degC')
  p1_str  = 'Digital box  (T1)     ' + eis_num2str(minp1,  type='degC') + eis_num2str(maxp1,  type='degC') + eis_num2Str(avg1,  type='degC')
  p2_str  = 'Power board  (T2)     ' + eis_num2str(minp2,  type='degC') + eis_num2str(maxp2,  type='degC') + eis_num2Str(avg2,  type='degC')
  p3_str  = 'Power board  (T3)     ' + eis_num2str(minp3,  type='degC') + eis_num2str(maxp3,  type='degC') + eis_num2Str(avg3,  type='degC')
  p4_str  = 'SLA          (T4)     ' + eis_num2str(minp4,  type='degC') + eis_num2str(maxp4,  type='degC') + eis_num2Str(avg4,  type='degC')
  p5_str  = 'SLA          (T5)     ' + eis_num2str(minp5,  type='degC') + eis_num2str(maxp5,  type='degC') + eis_num2Str(avg5,  type='degC')
  p6_str  = 'Harness      (T6)     ' + eis_num2str(minp6,  type='degC') + eis_num2str(maxp6,  type='degC') + eis_num2Str(avg6,  type='degC')
  p7_str  = 'MIR base     (T7)     ' + eis_num2str(minp7,  type='degC') + eis_num2str(maxp7,  type='degC') + eis_num2Str(avg7,  type='degC')
  p8_str  = 'MIR PZT      (T8)     ' + eis_num2str(minp8,  type='degC') + eis_num2str(maxp8,  type='degC') + eis_num2Str(avg8,  type='degC')
  p9_str  = 'MIR motor    (T9)     ' + eis_num2str(minp9,  type='degC') + eis_num2str(maxp9,  type='degC') + eis_num2Str(avg9,  type='degC')
;  p10_str = 'GRA motor    (T10)    ' + eis_num2str(minp10, type='degC') + eis_num2str(maxp10, type='degC') + eis_num2Str(avg10, type='degC')
;  p11_str = 'GRA assembly (T11)    ' + eis_num2str(minp11, type='degC') + eis_num2str(maxp11, type='degC') + eis_num2Str(avg11, type='degC')
;  p12_str = 'Power Board  (T12)    ' + eis_num2str(minp12, type='degC') + eis_num2str(maxp12, type='degC') + eis_num2Str(avg12, type='degC')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu, p5_str
  printf, lu, p6_str
  printf, lu, p7_str
  printf, lu, p8_str
  printf, lu, p9_str
;  printf, lu, p10_str
;  printf, lu, p11_str
;  printf, lu, p12_str
  printf, lu

end

pro eis_status_sts3_data_dumper::check_mhc_gp2_temperatures, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_gp2_temperatures'
  
  print, '        mhc_gp2_temperatures'
  
  title_str = 'Gp 2 temperatures (C)           min            max                avg'

  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T0',  minp0,  maxp0,  avg0
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T1',  minp1,  maxp1,  avg1
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T2',  minp2,  maxp2,  avg2
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T3',  minp3,  maxp3,  avg3
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T4',  minp4,  maxp4,  avg4
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T5',  minp5,  maxp5,  avg5
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T6',  minp6,  maxp6,  avg6
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T7',  minp7,  maxp7,  avg7
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T8',  minp8,  maxp8,  avg8
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T9',  minp9,  maxp9,  avg9
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T10', minp10, maxp10, avg10
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T11', minp11, maxp11, avg11
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T12', minp12, maxp12, avg12
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T13', minp13, maxp13, avg13
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T14', minp14, maxp14, avg14
  self->retrieve, 'mhc_gp2_temperatures', 'MHC_HZ_T15', minp15, maxp15, avg15

  p0_str  = 'Heater zone T0        ' + eis_num2str(minp0,  type='degC') + eis_num2str(maxp0,  type='degC') + eis_num2Str(avg0,  type='degC')
  p1_str  = 'Heater zone T1        ' + eis_num2str(minp1,  type='degC') + eis_num2str(maxp1,  type='degC') + eis_num2Str(avg1,  type='degC')
  p2_str  = 'Heater zone T2        ' + eis_num2str(minp2,  type='degC') + eis_num2str(maxp2,  type='degC') + eis_num2Str(avg2,  type='degC')
  p3_str  = 'Heater zone T3        ' + eis_num2str(minp3,  type='degC') + eis_num2str(maxp3,  type='degC') + eis_num2Str(avg3,  type='degC')
  p4_str  = 'Heater zone T4        ' + eis_num2str(minp4,  type='degC') + eis_num2str(maxp4,  type='degC') + eis_num2Str(avg4,  type='degC')
  p5_str  = 'Heater zone T5        ' + eis_num2str(minp5,  type='degC') + eis_num2str(maxp5,  type='degC') + eis_num2Str(avg5,  type='degC')
  p6_str  = 'Heater zone T6        ' + eis_num2str(minp6,  type='degC') + eis_num2str(maxp6,  type='degC') + eis_num2Str(avg6,  type='degC')
  p7_str  = 'Heater zone T7        ' + eis_num2str(minp7,  type='degC') + eis_num2str(maxp7,  type='degC') + eis_num2Str(avg7,  type='degC')
  p8_str  = 'Heater zone T8        ' + eis_num2str(minp8,  type='degC') + eis_num2str(maxp8,  type='degC') + eis_num2Str(avg8,  type='degC')
  p9_str  = 'Heater zone T9        ' + eis_num2str(minp9,  type='degC') + eis_num2str(maxp9,  type='degC') + eis_num2Str(avg9,  type='degC')
  p10_str = 'Heater zone T10       ' + eis_num2str(minp10, type='degC') + eis_num2str(maxp10, type='degC') + eis_num2Str(avg10, type='degC')
  p11_str = 'Heater zone T11       ' + eis_num2str(minp11, type='degC') + eis_num2str(maxp11, type='degC') + eis_num2Str(avg11, type='degC')
  p12_str = 'Heater zone T12       ' + eis_num2str(minp12, type='degC') + eis_num2str(maxp12, type='degC') + eis_num2Str(avg12, type='degC')
  p13_str = 'Heater zone T13       ' + eis_num2str(minp13, type='degC') + eis_num2str(maxp13, type='degC') + eis_num2Str(avg13, type='degC')
  p14_str = 'Heater zone T14       ' + eis_num2str(minp14, type='degC') + eis_num2str(maxp14, type='degC') + eis_num2Str(avg14, type='degC')
  p15_str = 'Heater zone T15       ' + eis_num2str(minp15, type='degC') + eis_num2str(maxp15, type='degC') + eis_num2Str(avg15, type='degC')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu, p5_str
  printf, lu, p6_str
  printf, lu, p7_str
  printf, lu, p8_str
  printf, lu, p9_str
  printf, lu, p10_str
  printf, lu, p11_str
  printf, lu, p12_str
  printf, lu, p13_str
  printf, lu, p14_str
  printf, lu, p15_str
  printf, lu

end

pro eis_status_sts3_data_dumper::check_mhc_mechanisms, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_mechanisms'
  
  print, '        mhc_mechanisms'

  title_str = 'MHC mechanisms                  min            max'

  self->retrieve, 'mhc_mechanisms', 'MHC_GRA_POS_AN',     minp0, maxp0, avg
  self->retrieve, 'mhc_mechanisms', 'MHC_SS_POS_STEPS',   minp1, maxp1, avg
  self->retrieve, 'mhc_mechanisms', 'MHC_CMIR_POS_STEPS', minp2, maxp2, avg
  self->retrieve, 'mhc_mechanisms', 'MHC_CMIR_POS',       minp3, maxp3, avg
  self->retrieve, 'mhc_mechanisms', 'MHC_SS_POS',         minp4, maxp4, avg
  self->retrieve, 'mhc_mechanisms', 'MHC_GRA_SW_POS',     minp5, maxp5, avg

  p0_str  = 'GRA RDC Pos           ' + eis_num2str(minp0,  type='zcount') + eis_num2str(maxp0,  type='zcount')
  p1_str  = 'SLA pos (steps)       ' + eis_num2str(minp1,  type='zcount') + eis_num2str(maxp1,  type='zcount')
  p2_str  = 'CMIR pos (steps)      ' + eis_num2str(minp2,  type='zcount') + eis_num2str(maxp2,  type='zcount')
  p3_str  = 'CMIR RDC Pos          ' + eis_num2str(minp3,  type='zcount') + eis_num2str(maxp3,  type='zcount')
  p4_str  = 'SS RDC Pos            ' + eis_num2str(minp4,  type='zcount') + eis_num2str(maxp4,  type='zcount')
  p5_str  = 'GRA S/w Pos           ' + eis_num2str(minp5,  type='zcount') + eis_num2str(maxp5,  type='zcount')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu, p5_str
  printf, lu
  
end

pro eis_status_sts3_data_dumper::check_mhc_status, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_status'
  
  print, '        mhc_status'

  title_str = 'MHC status                      min            max'

  self->retrieve, 'mhc_stats', 'MHC_MOTOR_OPT_ENC', minp0, maxp0, avg
  self->retrieve, 'mhc_stats', 'MHC_ACT_OPT_ENC',   minp1, maxp1, avg
  self->retrieve, 'mhc_stats', 'MHC_ACT_STAT',      minp2, maxp2, avg
  self->retrieve, 'mhc_stats', 'MHC_CAL_SRC_STAT',  minp3, maxp3, avg
  self->retrieve, 'mhc_stats', 'MHC_HTR_STAT',      minp4, maxp4, avg
  self->retrieve, 'mhc_stats', 'MHC_SEQ_MSW',       minp5, maxp5, avg
  self->retrieve, 'mhc_stats', 'MHC_SEQ_LSW',       minp6, maxp6, avg
  self->retrieve, 'mhc_stats', 'MHC_SYS_STAT',      minp7, maxp7, avg

  p0_str  = 'Motor Opt Enc         ' + eis_num2str(minp0,  type='zcount') + eis_num2str(maxp0,  type='zcount')
  p1_str  = 'Actuator Enc          ' + eis_num2str(minp1,  type='zcount') + eis_num2str(maxp1,  type='zcount')
  p2_str  = 'Actuator Status       ' + eis_num2str(minp2,  type='zcount') + eis_num2str(maxp2,  type='zcount')
  p3_str  = 'Cal Source Status     ' + eis_num2str(minp3,  type='zcount') + eis_num2str(maxp3,  type='zcount')
  p4_str  = 'Heater Status         ' + eis_num2str(minp4,  type='zcount') + eis_num2str(maxp4,  type='zcount')
  p5_str  = 'Seq Msw               ' + eis_num2str(minp5,  type='zcount') + eis_num2str(maxp5,  type='zcount')
  p6_str  = 'Seq Lsw               ' + eis_num2str(minp6,  type='zcount') + eis_num2str(maxp6,  type='zcount')
  p7_str  = 'System Status         ' + eis_num2str(minp7,  type='zcount') + eis_num2str(maxp7,  type='zcount')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu, p5_str
  printf, lu, p6_str
  printf, lu, p7_str
  printf, lu

end

pro eis_status_sts3_data_dumper::check_mhc_counters, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_counters'
  
  print, '        mhc_counters'

  title_str = 'MHC counters                    min            max'

  self->retrieve, 'mhc_counters', 'MHC_EXP_T1',   minp0, maxp0, avg
  self->retrieve, 'mhc_counters', 'MHC_EXP_T2',   minp1, maxp1, avg
  self->retrieve, 'mhc_counters', 'MHC_CMD_REC',  minp2, maxp2, avg
  self->retrieve, 'mhc_counters', 'MHC_CMD_ACK',  minp3, maxp3, avg
  self->retrieve, 'mhc_counters', 'MHC_CMD_NACK', minp4, maxp4, avg
  self->retrieve, 'mhc_counters', 'MHC_CMD_ID',   minp5, maxp5, avg
  self->retrieve, 'mhc_counters', 'MHC_TIME_MSW', minp6, maxp6, avg
  self->retrieve, 'mhc_counters', 'MHC_TIME_LSW', minp7, maxp7, avg

  p0_str  = 'Exp T1                ' + eis_num2str(minp0,  type='zcount') + eis_num2str(maxp0,  type='zcount')
  p1_str  = 'Exp T2                ' + eis_num2str(minp1,  type='zcount') + eis_num2str(maxp1,  type='zcount')
  p2_str  = 'Cmd rec               ' + eis_num2str(minp2,  type='count')  + eis_num2str(maxp2,  type='count')
  p3_str  = 'Cmd ack               ' + eis_num2str(minp3,  type='count')  + eis_num2str(maxp3,  type='count')
  p4_str  = 'Cmd nack              ' + eis_num2str(minp4,  type='count')  + eis_num2str(maxp4,  type='count')
  p5_str  = 'Cmd id                ' + eis_num2str(minp5,  type='zcount') + eis_num2str(maxp5,  type='zcount')
  p6_str  = 'Time MSW              ' + eis_num2str(minp6,  type='zcount') + eis_num2str(maxp6,  type='zcount')
  p7_str  = 'Time LSW              ' + eis_num2str(minp7,  type='zcount') + eis_num2str(maxp7,  type='zcount')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu, p5_str
  printf, lu, p6_str
  printf, lu, p7_str
  printf, lu

end

pro eis_status_sts3_data_dumper::check_mhc_qcm_status, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_qcm_status'
  
  print, '        mhc_qcm_status'

  title_str = 'MHC QCM status                  min            max                avg'

  self->retrieve, 'mhc_qcm_status', 'MHC_QCM_MSW',       minp0, maxp0, avg0
  self->retrieve, 'mhc_qcm_status', 'MHC_QCM_LSW',       minp1, maxp1, avg1
  self->retrieve, 'mhc_qcm_status', 'MHC_QCM1_TEMP',     minp2, maxp2, avg2
  self->retrieve, 'mhc_qcm_status', 'MHC_QCM2_TEMP',     minp3, maxp3, avg3
  self->retrieve, 'mhc_qcm_status', 'MHC_QCM_INT_CLOCK', minp4, maxp4, avg4

  p0_str  = 'QCM MSW               ' + eis_num2str(minp0,  type='zcount') + eis_num2str(maxp0,  type='zcount')
  p1_str  = 'QCM LSW               ' + eis_num2str(minp1,  type='zcount') + eis_num2str(maxp1,  type='zcount')
  p2_str  = 'QCM1 temperature (C)  ' + eis_num2str(minp2,  type='degC')   + eis_num2str(maxp2,  type='degC') + eis_num2str(avg2,  type='degC')
  p3_str  = 'QCM2 temperature (C)  ' + eis_num2str(minp3,  type='degC')   + eis_num2str(maxp3,  type='degC') + eis_num2str(avg3,  type='degC')
  p4_str  = 'QCM Int clock         ' + eis_num2str(minp4,  type='zcount') + eis_num2str(maxp4,  type='zcount')

  printf, lu, title_str
  printf, lu, p0_str
  printf, lu, p1_str
  printf, lu, p2_str
  printf, lu, p3_str
  printf, lu, p4_str
  printf, lu

end

pro eis_status_sts3_data_dumper::check_mhc_subcomm, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_subcomm'
  
  print, '        mhc_subcomm'

  pi = eis_get_daily_data(files, 'MHC_PERFORM_INDEX', 1, 10, mxp0, mnp0, base_time, end_time)
  pp = eis_get_daily_data(files, 'MHC_PERFORM_PARM',  2, 10, mx1, mn1)
  nsamp = n_elements(pi)

    p1  = pp[where(pi eq 0)]
    p2  = pp[where(pi eq 1)]
    p3  = pp[where(pi eq 2)]
    p4  = pp[where(pi eq 3)]
    p5  = pp[where(pi eq 4)]
    p6  = pp[where(pi eq 5)]
    p7  = pp[where(pi eq 6)]
    p8  = pp[where(pi eq 7)]
    p11 = pp[where(pi eq 10)]
    p12 = pp[where(pi eq 11)]
    p13 = pp[where(pi eq 12)]
    p18 = pp[where(pi eq 17)]
;    p20 = pp[where(pi eq 19)]


end

pro eis_status_sts3_data_dumper::check_mhc_spacecraft, lu
  self->trace, 'eis_status_sts3_data_dumper::check_mhc_spacecraft'
  
  print, '        mhc_spacecraft'

  self->retrieve, 'mhc_spacecraft', 'TIME', mn, mx
  self->retrieve, 'mhc_spacecraft', 'SEQ_COUNTER', mn, mx
        
end

pro eis_status_sts3_data_dumper::check, lu
  self->trace, 'eis_status_sts3_data_dumper::check'
  
  print, 'eis_status_sts3_data_dumper::check'
  
  self->check_mhc_voltages,         lu
  self->check_mhc_currents,         lu
  self->check_mhc_gp0_temperatures, lu
  self->check_mhc_gp2_temperatures, lu
  self->check_mhc_mechanisms,       lu
  self->check_mhc_status,           lu
  self->check_mhc_counters,         lu
  self->check_mhc_qcm_status,       lu
;  self->check_mhc_subcomm,          lu
;  self->check_mhc_spacecraft,       lu

end
